Difference between revisions of "Arch Window/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{Caption|Finestra complessa costruita sopra uno Schizzo. Quando si accede alla modalità di modifica della finestra, è possibile creare diversi com...")
Line 25: Line 25:
 
=== Utilizzare i modelli preimpostati ===
 
=== Utilizzare i modelli preimpostati ===
  
<div class="mw-translate-fuzzy">
 
 
# Facoltativamente, selezionare un oggetto Arch. Se non è selezionato alcun oggetto, la finestra viene inserita nell'oggetto che è sotto al mouse quando si posiziona la finestra.
 
# Facoltativamente, selezionare un oggetto Arch. Se non è selezionato alcun oggetto, la finestra viene inserita nell'oggetto che è sotto al mouse quando si posiziona la finestra.
# Premere il pulsante {{KEY/it|[[Image:Arch Window.png|16px]] Finestra}} , oppure i tasti {{KEY/it|W}} e poi {{KEY/it|I}}
+
# Premere il pulsante {{Button|[[Image:Arch Window.svg|16px]] [[Arch Window/it|Finestra]]}} , oppure i tasti {{KEY|W}} e poi {{KEY|I}}.
# Selezionare uno dei preset nella lista
+
# Selezionare uno dei preset nella lista.
# Compilare i parametri desiderati
+
# Compilare i parametri desiderati.
# Premere il pulsante '''OK'''
+
# Premere il pulsante {{Button|OK}}.
</div>
 
  
 
{{Emphasis|Note:}} if you install the "Parts Library" from the [[AddonManager|AddonManager]], the window tool will search this library for additional presets. These presets are FreeCAD files containing a single window based on a parametric sketch that has named constrains. You may place additional presets in the {{incode|parts_library}} directory so that they are found by the window tool.
 
{{Emphasis|Note:}} if you install the "Parts Library" from the [[AddonManager|AddonManager]], the window tool will search this library for additional presets. These presets are FreeCAD files containing a single window based on a parametric sketch that has named constrains. You may place additional presets in the {{incode|parts_library}} directory so that they are found by the window tool.

Revision as of 12:48, 9 April 2019

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Arch Reference.svg Riferimento esterno Pagina precedente:
Pagina successiva: Piano di sezione Arch SectionPlane.svg Arrow-right.svg

Arch Window.svg Finestra

Nome nel codice
Arch Window
Posizione nel menu
Arch → Finestra
Ambiente
Architettura
Avvio veloce
W I
Introdotto nella versione
-
Vedere anche
Muro, Aggiungi componente


Descrizione

La Finestra è l'oggetto di base per tutti i tipi di oggetti "incorporabili", quali le finestre, le porte, ecc.. È progettato per essere un elemento indipendente, oppure "ospitato" all'interno di un altro componente come ad esempio in un Muro, in una Struttura, o in un Tetto. Esso ha una propria geometria, che può essere formata da diversi componenti solidi (ad es. il telaio o i pannelli interni), e definisce anche un volume da sottrarre all'oggetto ospite, in modo da creare un'apertura. Il volume da sottrarre viene calcolato automaticamente.

Le finestre sono basate su oggetti 2D chiusi, quali ad esempio, dei rettangoli di Draft o di Schizzo, ambienti che sono utilizzati anche per definire i componenti interni. L'oggetto 2D di base deve contenere diversi contorni chiusi, che possono essere combinati per formare dei pannelli pieni (richiedono un contorno) o delle cornici (richiedono più contorni).

Lo strumento Finestra dispone anche di diversi preset, che permettono di realizzare porte o finestre da un elenco di parametri, senza la necessità di creare manualmente gli oggetti 2D di base e componenti. Le finestre possono anche essere creati da zero, disegnando prima un oggetto di base 2D.

Tutte le informazioni applicabili alle finestre si applicano anche alle porte, poiché sono costruite sullo stesso oggetto sottostante. La principale differenza tra una finestra e una porta è che la porta ha un pannello interno che viene mostrato opaco (la porta stessa), mentre la finestra ha un pannello parzialmente trasparente (il vetro).

Arch Window example.jpg

Finestra costruita su un Rettangolo Draft, quindi inserita in un Muro di Arch. Usando l'operazione Aggiungi si ritaglia automaticamente un'apertura corretta nel muro ospitante.


Arch Window example2.jpg

Finestra complessa costruita sopra uno Schizzo. Quando si accede alla modalità di modifica della finestra, è possibile creare diversi componenti, impostare il loro spessore e selezionare e assegnare ad essa i contorni di uno schizzo.


Utilizzo

Utilizzare i modelli preimpostati

  1. Facoltativamente, selezionare un oggetto Arch. Se non è selezionato alcun oggetto, la finestra viene inserita nell'oggetto che è sotto al mouse quando si posiziona la finestra.
  2. Premere il pulsante Arch Window.svg Finestra , oppure i tasti W e poi I.
  3. Selezionare uno dei preset nella lista.
  4. Compilare i parametri desiderati.
  5. Premere il pulsante OK.

Note: if you install the "Parts Library" from the AddonManager, the window tool will search this library for additional presets. These presets are FreeCAD files containing a single window based on a parametric sketch that has named constrains. You may place additional presets in the parts_library directory so that they are found by the window tool.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

The $ROOT_DIR is the user's directory where FreeCAD configuration, macros, and external workbenches are stored.

  • On Linux it is usually /home/username/.FreeCAD/
  • On Windows it is usually C:\Users\username\Application Data\FreeCAD\
  • On Mac OSX it is usually /Users/username/Library/Preferences/FreeCAD/

Creare dall'inizio

  1. Opzionalmente, selezionare una faccia sull'oggetto Arch in cui si desidera inserire la finestra
  2. Passare nell'ambiente Sketcher
  3. Creare un nuovo schizzo
  4. Disegnare uno o più contorni chiusi
  5. Chiudere lo schizzo
  6. Tornare nell'ambiente Arch
  7. Premere il pulsante Arch Window.png Finestra , o premere i tasti W e poi I
  8. Entrare in modalità Modifica facendo doppio clic sulla finestra nella vista ad albero, per regolare i componenti della finestra

Presets

Sono disponibili i seguenti modelli preimpostati:

Creare i componenti

La finestra può includere 3 tipi di componenti: i pannelli, le cornici e le persiane.

I pannelli e le persiane sono costituiti da un contorno chiuso che viene estruso. Le cornici sono formate da 2 o più contorni chiusi, entrambi estrusi, e quello più piccolo viene Arch Remove.png sottratto al più grande.

È possibile accedere, creare, modificare ed eliminare i componenti di una finestra in modalità di modifica (doppio clic sull'oggetto finestra nella struttura ad albero).

I componenti hanno le seguenti proprietà:

  • Name : Un nome per il componente
  • Type: Il tipo di componente. Può essere "Frame", "Glass panel" "Solid panel", o "Louvres"
  • Wires : Un elenco, separato da virgole, dei contorni su cui si basa il componente
  • Thickness : Lo spessore di estrusione del componente
  • Z Offset : La distanza tra il componente e la sua linea di base 2D
  • Hinge: Ciò consente di selezionare un bordo nell'oggetto 2D di base, quindi impostare tale bordo come cerniera per questo componente e quelli successivi nell'elenco
  • Opening mode: Se in questo componente o in qualsiasi altro precedente nell'elenco è stata definita una cerniera, l'impostazione della modalità di apertura consente alla finestra di apparire aperta o di visualizzare i simboli di apertura 2D in pianta o in elevazione.

Arch Window options.jpg

Opzioni

  • Gli elementi Finestra condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • Se la casella Auto-include nel riquadro delle azioni di creazione della finestra non è selezionata, la finestra non verrà inserita in nessun oggetto ospite durante la creazione.
  • Per inserire la finestra selezionata in un muro, selezionare entrambi, poi premere il pulsante Arch Add.png Aggiungi.
  • Per rimuovere la finestra selezionata da un muro selezionare la finestra, poi premere il pulsante Arch Remove.png Sottrai.
  • Quando si utilizzano i preset, di solito conviene attivare lo Snap "Vicino", in questo modo è possibile agganciare la finestra a una faccia esistente.
  • L'apertura creata da una finestra nel suo oggetto ospite è determinata da due proprietà: Hole Depth and Hole Wire (introduced in version 0.17). Il numero del Hole Wire può essere selezionato nella vista 3D dal pannello delle finestre disponibili quando si fa doppio clic sulla finestra nella vista ad albero
  • La Finestra può utilizzare i Multi-Materiali. La finestra cerca nei multi-materiali allegati gli strati di materiale con lo stesso nome per ciascuna delle sue componenti e se è presente lo utilizza. Ad esempio, un componente denominato "OuterFrame" cerca nel Multi-Materiale collegato

uno strato di materiale denominato "OuterFrame". Se trova questo materiale lo attribuisce al componente OuterFrame. Il valore dello spessore dello strato di materiale viene ignorato.

Aperture

Le porte e le finestre possono apparire parzialmente o completamente aperte nel modello 3D oppure si possono visualizzare i simboli di apertura sia in pianta che in altezza. Di conseguenza, queste appariranno anche nelle viste in 2D estratte e generate da Draft Viste 2D o TechDraw o Drawing. Per ottenere ciò, almeno uno dei componenti della finestra deve avere una cerniera e una modalità di apertura definita (vedere la sezione precedente "Componenti dell'edificio"). Quindi, usando le proprietà Opening, Symbol Plan o Symbol Elevation, si può configurare l'aspetto della finestra:

Arch window openings.png

Una porta che mostra da sinistra a destra come lavorano le proprietà Symbol Plan, Symbol Elevation e Opening

Una porta che mostra da sinistra a destra come lavorano le proprietà Symbol Plan, Symbol Elevation e Opening

Proprietà

  • DatiHeight: L'altezza di questa finestra
  • DatiWidth: La larghezza di questa finestra
  • DatiHole Depth: La profondità dell'apertura creata dalla finestra nel suo oggetto ospite
  • DatiHole Wire: Il numero del contorno (wire) dell'oggetto base utilizzato per creare un'apertura nell'oggetto che ospita questa finestra. Questo valore può essere impostato graficamente facendo doppio clic sulla finestra nella vista ad albero. Impostando il valore 0, la finestra per creare il foro seleziona automaticamente il suo contorno più grande.
  • DatiWindow Parts : Una lista di stringhe (5 stringhe per ogni componente, che stabiliscono le opzioni dei componenti di cui sopra).
  • DatiLouvre Width: Se uno dei componenti è impostato su "Louvres", questa proprietà definisce la dimensione delle lamelle della persiana
  • DatiLouvre Spacing: Se uno dei componenti è impostato su "Louvres", questa proprietà definisce la spaziatura tra le lamelle
  • DatiOpening: Tutti i componenti che hanno la loro modalità di apertura impostata e che hanno una cerniera definita in essi o in un componente precedente nell'elenco, appaiono aperti di una percentuale definita da questo valore
  • DatiSymbol Plan: Mostra il simbolo 2D di apertura nel piano
  • DatiSymbol Elevation: Mostra il simbolo 2D di apertura nell'elevazione

Script

Lo strumento Finestra può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
  • Tutti gli argomenti sono opzionali
  • Crea una Finestra basata su un baseobj, che dovrebbe essere un contorno o uno schizzo chiuso
  • Se disponibile, impostare width, height, e name (etichetta) della finestra
  • Se il baseobj non è una forma chiusa, lo strumento non può creare una figura solida corretta

Esempio:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

You can also create a Window from a preset.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)

Arch Window example2.jpg

Esempio:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)
Arrow-left.svg Arch Reference.svg Riferimento esterno Pagina precedente:
Pagina successiva: Piano di sezione Arch SectionPlane.svg Arrow-right.svg